## com.puppycrawl.tools.checkstyle.gui
Interface TreeTableModel

All Superinterfaces:
  TreeModel

All Known Implementing Classes:
  AbstractTreeTableModel, ParseTreeModel

    public interface TreeTableModel

extends TreeModel

TreeTableModel is the model used by a JTreeTable. It extends TreeModel to add methods for getting information about the set of columns each node in the TreeTableModel may have. Each column, like a column in a TableModel, has a name and a type associated with it. Each node in the TreeTableModel can return a value for each of the columns and set that value if isCellEditable() returns true. Original Source Location

Author:
  Philip Milne, Scott Violet

Method Summary
`Class<?>` `getColumnClass(int column)`
`int` `getColumnCount()`
`String` `getColumnName(int column)`
`Object` `getValueAt(Object node, int column)`
`boolean` `isCellEditable(Object node, int column)` Indicates whether the the value for node `node`, at column number `column` is editable.
`void` `setValueAt(Object aValue, Object node, int column)` Sets the value for node `node`, at column number `column`.

Methods inherited from interface javax.swing.tree.TreeModel
`addTreeModelListener, getChild, getChildCount, getIndexOfChild, getRoot, isLeaf, removeTreeModelListener, valueForPathChanged`

Method Detail

### getColumnCount

    int getColumnCount()

  Returns:
    the number of available column.

### getColumnName

    String getColumnName(int column)

  Parameters:
    `column` - the column number
  Returns:
    the name for column number `column`.

### getColumnClass

    Class<?> getColumnClass(int column)

  Parameters:
    `column` - the column number
  Returns:
    the type for column number `column`.

### getValueAt

    Object getValueAt(Object node,
                      int column)

  Parameters:
    `node` - the node
    `column` - the column number
  Returns:
    the value to be displayed for node `node`, at column number `column`.

### isCellEditable

    boolean isCellEditable(Object node,
                           int column)

  Indicates whether the the value for node `node`, at column number `column` is editable.

  Parameters:
    `node` - the node.
    `column` - the column number
  Returns:
    true if editable

### setValueAt

    void setValueAt(Object aValue,
                    Object node,
                    int column)

  Sets the value for node `node`, at column number `column`.

  Parameters:
    `aValue` - the value to set
    `node` - the node to set the value on
    `column` - the column number

Copyright © 2001-2011. All Rights Reserved.